org.hibernate.search.spi.impl

## Class PojoIndexedTypeIdentifier

- java.lang.Object
- - org.hibernate.search.spi.impl.PojoIndexedTypeIdentifier

- All Implemented Interfaces:
    Serializable, IndexedTypeIdentifier

      public final class PojoIndexedTypeIdentifier
      extends Object
      implements IndexedTypeIdentifier, Serializable

  Author:
    Sanne Grinovero (C) 2017 Red Hat Inc.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoIndexedTypeIdentifier(Class<?> pojoType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexedTypeSet` | `asTypeSet()`
    `static IndexedTypeIdentifier` | `convertFromLegacy(Class<?> clazz)`
    `static Class<?>` | `convertToLegacy(IndexedTypeIdentifier type)`
    `boolean` | `equals(Object obj)`
    `String` | `getName()` Each indexed type must be identified by name which is unique within the scope of a `SearchIntegrator`.
    `Class<?>` | `getPojoType()` Return the class type of the unrelying POJO.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoIndexedTypeIdentifier

          public PojoIndexedTypeIdentifier(Class<?> pojoType)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IndexedTypeIdentifier`
      Each indexed type must be identified by name which is unique within the scope of a `SearchIntegrator`.
      Specified by:
        `getName` in interface `IndexedTypeIdentifier`
      Returns:
        the name of this type.

    - #### getPojoType

          public Class<?> getPojoType()

      Description copied from interface: `IndexedTypeIdentifier`
      Return the class type of the unrelying POJO.
      Specified by:
        `getPojoType` in interface `IndexedTypeIdentifier`
      Returns:
        the class of the indexed POJO, or null if not using POJO mapping.

    - #### asTypeSet

          public IndexedTypeSet asTypeSet()

      Specified by:
        `asTypeSet` in interface `IndexedTypeIdentifier`
      Returns:
        a representation of this type as a singleton IndexedTypesSet

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### convertFromLegacy

          public static IndexedTypeIdentifier convertFromLegacy(Class<?> clazz)

    - #### convertToLegacy

          public static Class<?> convertToLegacy(IndexedTypeIdentifier type)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved